using UnityEngine;
using System.Collections;

public class Wizard : MonoBehaviour
{

    public enum State
    {
        Idle,
        Attack,
        Defend,
        Ritual,
        Hurt,
        Dying,
        Dead,
    }

    private AnimationManager _animationManager;
    private PlayerController _player;

    void Awake()
    {
        _animationManager = GetComponent<AnimationManager>();
    }

    // Use this for initialization
    void Start()
    {
        SetState(State.Idle);
    }

    // Update is called once per frame
    void Update()
    {

    }

    public void SetState(State state)
    {
        _animationManager.SetState((int)state);
    }

    public bool IsStateActive(State state)
    {
        return _animationManager.IsStateActive((int)state);
    }

    public void SetPlayer(PlayerController player)
    {
        _player = player;
    }
}
